#![doc = include_str!("../README.MD")]
#![warn(missing_docs)]

extern crate proc_macro;

use lazy_static::lazy_static;

mod file_dialog;
mod message_dialog;
mod utils;

lazy_static! {
    /// Manager for the `rfd` components. Can be merged into an other manager for extensions.
    pub static ref MANAGER: brisk_it::generator::Manager = {
        let manager = brisk_it::generator::ManagerBuilder::new()
            .create::<file_dialog::FileDialog>("FileDialog")
            .create::<message_dialog::MessageDialog>("MessageDialog");

        manager.into()
    };
}
